Package logilab :: Package common :: Module visitor :: Class Visitor

[frames] | no frames]

# Class Visitor

source code

    object --+
             |
            Visitor

Instance Methods

__init__(self, iterator_class, filter_func=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

visit(self, node, *args, **kargs) launch the visit on a given node | source code

open_visit(self, *args, **kargs) method called at the beginning of the visit | source code

close_visit(self, result) method called at the end of the visit | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, iterator_class, filter_func=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### visit(self, node, *args, **kargs)

source code

    launch the visit on a given node

    call 'open_visit' before the beginning of the visit, with extra args
    given
    when all nodes have been visited, call the 'close_visit' method